## octave-nurbs 1.0

=== DESCRIPTION ===
Name: Nurbs
Version: 1.0
Date: 2008-11-06
Author: Mark Spink, Daniel Claxton, Carlo de Falco
Maintainer: Carlo de Falco
Title: Nurbs.
Description: Collection of routines for the creation, and manipulation of Non-Uniform Rational B-Splines (NURBS).
Categories: splines
Depends: octave (>= 3.0.3)
Autoload: no
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
all: low_level_functions.oct

%.oct: %.cc
	mkoctfile $<

clean:
	-rm *.o core octave-core *.oct *~

## octave-nurbs 1.0.2

=== DESCRIPTION ===
Name: Nurbs
Version: 1.0.2
Date: 2009-06-24
Author: Mark Spink, Daniel Claxton, Carlo de Falco
Maintainer: Carlo de Falco
Title: Nurbs.
Description: Collection of routines for the creation, and manipulation of Non-Uniform Rational B-Splines (NURBS).
Categories: splines
Depends: octave (>= 3.2)
Autoload: no
License: GPL version 2 or later
Url: http://octave.sf.net
SVNRelease: 6471

## octave-nurbs 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Nurbs
-Version: 1.0.2
-Date: 2009-06-24
+Version: 1.0.3
+Date: 2010-02-09
 Author: Mark Spink, Daniel Claxton, Carlo de Falco
 Maintainer: Carlo de Falco
 Title: Nurbs.
@@ -10,4 +10,6 @@
 Autoload: no
 License: GPL version 2 or later
 Url: http://octave.sf.net
-SVNRelease: 6471
+SVNRelease: 6861
+
+

=== src/Makefile ===
OCTFILES=basisfun.oct bspeval.oct nrb_srf_basisfun__.oct surfderivcpts.oct basisfunder.oct \
curvederivcpts.oct nrb_srf_basisfun_der__.oct surfderiveval.oct bspderiv.oct \
nrbsurfderiveval.oct tbasisfun.oct

all: $(OCTFILES)

low_level_functions.o: low_level_functions.cc
	mkoctfile -c $<

%.oct:  %.cc low_level_functions.o
	mkoctfile $< low_level_functions.o

clean:
	-rm -f *.o core octave-core *.oct *~

=== debian/changelog ===
octave-nurbs (1.0.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571856)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Bump standards version to 3.8.4, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove patch fix-tests (applied upstream)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 12 May 2010 23:55:18 +0200

octave-nurbs (1.0.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release.
  * Removed patches (applied upstream): 
    + basisfunder-succeed-test.diff
    + numbasisfun-succeed-test.diff
  * Upstream permissions for .m files are fixed, remove code from
    debian/rules.
  * New patch: fix-tests, fixes failing unit tests, taken from upstream SVN

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 30 Dec 2009 09:53:41 +0100

octave-nurbs (1.0-1) unstable; urgency=low

  * Initial release (closes: #529483)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:33:19 +0200

=== debian/control ===
Source: octave-nurbs
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <thomas.weber.mail@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/nurbs
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-nurbs.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-nurbs.git

Package: octave-nurbs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: non-uniform rational B-splines for Octave
 This package contains a collection of routines for the creation and
 manipulation of Non-Uniform Rational B-Splines (NURBS) using Octave,
 a scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/nurbs-([\d.]+)\.tar\.gz\?download

## octave-nurbs 1.3.3

=== DESCRIPTION ===
Name: Nurbs
Version: 1.3.3
Date: 2011-03-04
Author: Mark Spink, Daniel Claxton, Carlo de Falco, Rafael Vazquez
Maintainer: Carlo de Falco
Title: Nurbs.
Description: Collection of routines for the creation, and manipulation of Non-Uniform Rational B-Splines (NURBS).
Categories: splines
Depends: octave (>= 3.2)
Autoload: no
License: GPL version 2 or later
Url: http://octave.sf.net
SVNRelease: 8154

=== debian/changelog ===
octave-nurbs (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.1, no changes needed

 -- Thomas Weber <tweber@debian.org>  Wed, 20 Apr 2011 21:53:46 +0200

octave-nurbs (1.3.0-1) experimental; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Sat, 04 Sep 2010 00:51:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <thomas.weber.mail@gmail.com>
+Uploaders: Thomas Weber <tweber@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://octave.sourceforge.net/nurbs
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-nurbs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-nurbs.git

## octave-nurbs 1.3.6

=== DESCRIPTION ===
Name: Nurbs
Version: 1.3.6
Date: 2012-03-17
Author: Mark Spink, Daniel Claxton, Carlo de Falco, Rafael Vazquez
Maintainer: Carlo de Falco and Rafael Vazquez
Title: Nurbs.
Description: Collection of routines for the creation, and manipulation of Non-Uniform Rational B-Splines (NURBS), based on the NURBS toolbox by Mark Spink.
Categories: splines
Depends: octave (>= 3.2)
Autoload: no
License: GPL version 2 or later
Url: http://octave.sf.net
SVNRelease: 9939

=== debian/changelog ===
octave-nurbs (1.3.6-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.3.6
  * debian/patches/autoload-yes.diff: Adjust for new upstream release
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0
  * debian/patches/openmp-fix.patch: New patch
  * debian/patches/reduce-test-randomness.patch: New patch

 -- Thomas Weber <tweber@debian.org>  Wed, 04 Apr 2012 10:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/nurbs
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-nurbs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-nurbs.git

## octave-nurbs 1.3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Nurbs
-Version: 1.3.6
-Date: 2012-03-17
+Version: 1.3.7
+Date: 2013-04-28
 Author: Mark Spink, Daniel Claxton, Carlo de Falco, Rafael Vazquez
 Maintainer: Carlo de Falco and Rafael Vazquez
 Title: Nurbs.
@@ -8,7 +8,6 @@
 Categories: splines
 Depends: octave (>= 3.2)
 Autoload: no
-License: GPL version 2 or later
+License: GPLv3+
 Url: http://octave.sf.net
-SVNRelease: 9939
-
+SVNRelease: 11855

=== src/Makefile ===
--- 
+++ 
@@ -12,3 +12,4 @@
 
 clean:
 	-rm -f *.o core octave-core *.oct *~
+# DO NOT DELETE

=== debian/changelog ===
octave-nurbs (1.3.7-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:26:33 +0000

octave-nurbs (1.3.7-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.3.7
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * Drop patches openmp-fix and reduce-test-randomness (applied upstream)
  * debian/patches/autoload-yes.diff: Refresh for the new upstream release
  * debian/copyright: Reflect upstream changes
  * Bump to Standards-Version 3.9.5, no changes needed

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Dec 2013 16:16:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/nurbs
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-nurbs.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-nurbs.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-nurbs.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-nurbs.git
 
 Package: octave-nurbs
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/octave/nurbs-(.+)\.tar\.gz

## octave-nurbs 1.3.8

=== DESCRIPTION ===
Name: Nurbs
Version: 1.3.8
Date: 2014-09-30
Author: Mark Spink, Daniel Claxton, Carlo de Falco, Rafael Vazquez
Maintainer: Carlo de Falco and Rafael Vazquez
Title: Nurbs.
Description: Collection of routines for the creation, and manipulation of Non-Uniform Rational B-Splines (NURBS), based on the NURBS toolbox by Mark Spink.
Categories: splines
Depends: octave (>= 3.8)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-nurbs (1.3.8-1) unstable; urgency=medium

  * Imported Upstream version 1.3.8
  * debian/copyright: reflect upstream changes.
  * Add Rafael Laboissiere and Mike Miller to Uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Oct 2014 20:02:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+           Sébastien Villemot <sebastien@debian.org>,
+           Rafael Laboissiere <rafael@laboissiere.net>,
+           Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/nurbs
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-nurbs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-nurbs.git

## octave-nurbs 1.3.9

=== debian/changelog ===
octave-nurbs (1.3.9-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.3.9
  * d/p/autoload-yes.diff: Remove patch (deprecated upstream)
  * d/p/compilation-with-octave-4.0.patch: New patch

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 18:10:49 +0200

## octave-nurbs 1.3.10

=== DESCRIPTION ===
Name: Nurbs
Version: 1.3.10
Date: 2015-08-17
Author: Mark Spink, Daniel Claxton, Carlo de Falco, Rafael Vazquez
Maintainer: Carlo de Falco and Rafael Vazquez
Title: Nurbs.
Description: Collection of routines for the creation, and manipulation of Non-Uniform Rational B-Splines (NURBS), based on the NURBS toolbox by Mark Spink.
Categories: splines
Depends: octave (>= 3.8)
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
OCTFILES=basisfun.oct bspeval.oct nrb_srf_basisfun__.oct surfderivcpts.oct basisfunder.oct \
curvederivcpts.oct nrb_srf_basisfun_der__.oct surfderiveval.oct bspderiv.oct \
nrbsurfderiveval.oct tbasisfun.oct

MKOCTFILE ?= mkoctfile

all: $(OCTFILES)

low_level_functions.o: low_level_functions.cc
	$(MKOCTFILE) -c $<

%.oct:  %.cc low_level_functions.o
	$(MKOCTFILE) $< low_level_functions.o

clean:
	-rm -f *.o core octave-core *.oct *~

=== debian/changelog ===
octave-nurbs (1.3.10-2) unstable; urgency=medium

  * d/control:
    - Use secure URIs in the Vcs-* fields
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - Build-depends on octave-pkg-dev >= 1.4.4
  * d/u/metadata: Add citation
    Thanks to Andreas Tille for fixing the syntax
  * Bump debhelper compat level to 10

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Jan 2017 17:21:01 -0200

octave-nurbs (1.3.10-1) unstable; urgency=medium

  * Imported Upstream version 1.3.10
  * d/p/compilation-with-octave-4.0.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 13 Sep 2015 03:43:56 -0300

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
+           Rafael Laboissiere <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@laboissiere.net>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.4.4)
+Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/nurbs
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-nurbs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-nurbs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-nurbs.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-nurbs.git
 
 Package: octave-nurbs
 Architecture: any

## octave-nurbs 1.3.13

=== src/Makefile ===
OCTFILES=basisfun.oct \
basisfunder.oct \
bspderiv.oct \
bspeval.oct \
curvederivcpts.oct \
nrb_srf_basisfun__.oct \
nrb_srf_basisfun_der__.oct \
nrbsurfderiveval.oct \
surfderivcpts.oct \
surfderiveval.oct \
tbasisfun.oct 

MKOCTFILE ?= mkoctfile

all: $(OCTFILES)

low_level_functions.o: low_level_functions.cc
	$(MKOCTFILE) -c $<

%.oct:  %.cc low_level_functions.o
	$(MKOCTFILE) $< low_level_functions.o

clean:
	-rm -f *.o core octave-core *.oct *~

=== debian/changelog ===
octave-nurbs (1.3.13-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:46 -0200

octave-nurbs (1.3.13-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:34:39 -0200

octave-nurbs (1.3.13-3) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:09 -0200

octave-nurbs (1.3.13-2) unstable; urgency=medium

  * Upload to unstable.
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.
  * d/control: use cgit instead of gitweb in Vcs-Browser.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Jun 2017 14:44:11 +0200

octave-nurbs (1.3.13-1) experimental; urgency=medium

  * New upstream version 1.3.13
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 14 Apr 2017 08:16:39 -0300

=== debian/control ===
Source: octave-nurbs
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissiere <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/nurbs/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nurbs.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nurbs
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-nurbs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: non-uniform rational B-splines for Octave
 This package contains a collection of routines for the creation and
 manipulation of Non-Uniform Rational B-Splines (NURBS) using Octave,
 a scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/nurbs-(.+)\.tar\.gz

## octave-nurbs 1.4.3

=== DESCRIPTION ===
Name: nurbs
Version: 1.4.3
Date: 2021-03-29
Author: Mark Spink, Daniel Claxton, Carlo de Falco, Rafael Vazquez
Maintainer: Carlo de Falco and Rafael Vazquez
Title: Nurbs.
Description: Collection of routines for the creation, and manipulation of Non-Uniform Rational B-Splines (NURBS), based on the NURBS toolbox by Mark Spink.
Categories: splines
Depends: octave (>= 5.1)
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-nurbs (1.4.3-3) unstable; urgency=medium

  * d/README.source: Drop file, since this is a "3.0 (quilt)" package
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Update Copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 09:58:47 -0300

octave-nurbs (1.4.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 12:38:28 -0300

octave-nurbs (1.4.3-1) experimental; urgency=medium

  * New upstream version 1.4.3
  * d/p/utf8-encoding.patch: Drop patch (applied upstream)
  * d/p/build-against-octave-6.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Thu, 08 Apr 2021 02:44:40 -0300

octave-nurbs (1.3.13-10) unstable; urgency=medium

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:17:13 +0100

octave-nurbs (1.3.13-9) experimental; urgency=medium

  * d/p/build-against-octave-6.patch: New patch (Closes: #976202)
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Remove the left-over files src/*.cc-tst

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Dec 2020 17:48:28 -0300

octave-nurbs (1.3.13-8) unstable; urgency=medium

  * Reupload without file d/s/include-binaires

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 18:25:34 -0300

octave-nurbs (1.3.13-7) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields
  * d/p/utf8-encoding.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 03:04:47 -0300

octave-nurbs (1.3.13-6) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 18:15:28 -0300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>,
+           Rafael Laboissière <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/nurbs/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nurbs.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nurbs

## octave-nurbs 1.4.4

=== src/Makefile ===
--- 
+++ 
@@ -1,3 +1,19 @@
+## Copyright (C) 2009-2017 Carlo de Falco
+##
+## This program is free software: you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation, either version 3 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+
 OCTFILES=basisfun.oct \
 basisfunder.oct \
 bspderiv.oct \

=== debian/changelog ===
octave-nurbs (1.4.4-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 03:42:17 -0300

octave-nurbs (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL
  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.1 (no changes needed)
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Feb 2025 03:39:46 -0300

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,11 @@
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/nurbs/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/nurbs/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nurbs.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nurbs
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-nurbs
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/nurbs/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/nurbs-@ANY_VERSION@@ARCHIVE_EXT@
